.\"
.\" @(#)$Id: xmexit.man,v 2.0 90/04/09 10:03:52 tot Exp $
.\"
.TH XMEXIT 1 "26 March 1990" "X Version 11"
.SH NAME
xmexit - close all client applications running on a display
.SH SYNOPSIS
.B "xmexit"
[X Toolkit options] [-options]
.SH DESCRIPTION
.PP
.I Xmexit
is a utility for killing all client application running on a display
and thus causing X server to exit.
.I Xmexit
uses WM_DELETE_WINDOW protocol is window has one, or XKillClient(3X11)
if not.
.SH OPTIONS
In addition to standard X toolkit options,
.I xmexit
understand following ones:
.TP 8
.B \-quiet
Do not show confirm dialog. Silently kill all client applications.
.TP 8
.B \-confirm
Do show conform dialog. This is default action.
The dialog is automatically centered to the screen.
.TP 8
.B \-text \fImessage\fP
Show \fImessage\fP in confirm dialog.
.TP 8
.B \-ok
Make OK button to act as default button in the confirm dialog.
.TP 8
.B \-cancel
Make OK button to act as default button in the confirm dialog. This is
default.
.TP 8
.B \-grab
Grab the server in the confirm dialog. This is default.
.TP 8
.B \-nograb
Do not grab the server in the confirm dialog.
.TP 8
.B \-levels \fInum\fP
Look only \fInum\fP levels of windows. Thus, if \fInum\fP is 1, look
only child windows of root window itself. It depends on the window
manager how many levels to look. For \fImwm\fP, 3 is fine.
Default is to look all windows.
.TP 8
.B \-delay \fInum\fP
After killing all potential client applications, sleep for \fInum\fP
seconds and do XKillClient(3X11) to all existing windows. If \fInum\fP
is zero, this pass is not done.
By default, \fInum\fP is 2 seconds.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
To get the default host and display number.
.SH "SEE ALSO"
X(1), xwininfo(1), xprop(1), XKillClient(3X11)
.SH COPYRIGHT
Copyright (C) 1990, Front End Oy.
.SH AUTHOR
Teemu Torma <tot@frend.fi>, Front End Oy
